%define	name		simgear
%define	oname		SimGear
%define	version		0.3.4
%define	release		1mdk
%define	lib_name_orig	lib%{name}
%define	lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d

Summary:	Basic tools for Simulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.simgear.org/
License:	LGPL
Group:		System/Libraries
Source:		ftp://ftp.simgear.org/pub/simgear/Source/%{oname}-%{version}.tar.bz2
#Patch0:	SimGear-0.0.18-fix-gcc31.patch.bz2
BuildRequires:	autoconf2.5 plib libmetakit-devel libMesaglut-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Author: Curtis Olson <curt@flightgear.org>

%description
All the basic routines required for the flight simulator as well as for
building scenery. Needed for FlightGear, for example.

%package -n %{lib_name_devel}
Summary:	Headers/misc for developing programs that will use %{name}
Group:		Development/C++
Obsoletes:	SimGear-devel
Provides:	SimGear-devel = %{version}-%{release} %{lib_name_orig}-devel = %{version}-%{release}
%description -n %{lib_name_devel}
This package contains the headers that programmers will need to develop
applications which will use %{name}, for example FlightGear.

%prep
%setup -q -n %{oname}-%{version}
#%patch0 -p0

%build
# (gc) workaround g++ exception bug when -fomit-frame-pointer is set
export CFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer" CXXFLAGS="$RPM_OPT_FLAGS -fno-omit-frame-pointer"
# (peroyvind) seems to build now:)
%configure
# (peroyvind) does'nt seem to handle several jobs, so don't use any macro
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name_devel}
%defattr(-, root, root)
%doc README
%{_libdir}/*.*a
%{_includedir}/*

%changelog
* Mon Oct 27 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.4-1mdk
- 0.3.4

* Wed Mar 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- rm -rf before makeinstall to make package short-circuitable..
- removed unneeded prefix macro

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- added zlib-devel to BuildRequires
- use a couple of macros for installing and building
- drop unapplied patch
- nicer formatting
- use mklibname macro

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- rebuild

* Thu Dec 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Sep 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- from Crispin Boylan <viewtronix@uklinux.net> :
	- new version

* Fri Sep 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.18-3mdk
- rebuild

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-2mdk
- recompile against latest libstdc++

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-1mdk
- new version

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- new version (using external zlib btw)
- true license is LGPL, not GPL

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-2mdk
- lib policy
- fix invalid-spec-name simgear.spec
- fix obsolete-tag Copyright

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-1mdk
- new version

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-2mdk
- rebuild against new plib

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-1mdk
- version 0.0.15

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-4mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-3mdk
- rebuild fix fixed plib

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-2mdk
- rebuild

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-1mdk
- 0.0.14 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.13-1mdk
- 0.0.13 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-2mdk
- simple rebuild

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-1mdk
- 0.0.12

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.10-1mdk
- first Mandrake Package

